- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions
GridGraph::IndexMap Class Reference

## Detailed Description

Map to get the indices of the nodes as dim2::Point<int>.

`#include <lemon/grid_graph.h>`

## Public Types
typedef GridGraph::Node | Key
| The key type of the map.
typedef dim2::Point< int > | Value
| The value type of the map.

## Public Member Functions
| IndexMap (const GridGraph &graph)
| Constructor.
Value | operator[] (Key key) const
| The subscript operator.